{ pkgs ? import <nixpkgs> { } }:
let
  its-python = pkgs.python310.withPackages (p: with p; [
    setuptools
    portalocker
    pytz
    pytest
    pytest-mock
    pytest-datadir
    coverage
    pylint
    pydantic
    black
  ]);
in
pkgs.mkShell {
  buildInputs = [
    its-python
    pkgs.black
  ];
  shellHook = ''
    PYTHONPATH=${its-python}/${its-python.sitePackages}
    # maybe set more env-vars
  '';
}
